For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deprecated

deprecatedLatestVersion

get

This method returns the current version of the SPID Server application.

Responses
200

OK

application/json
stringOptional
get/gbs-spid-server/service/cluster/latest-version
GET /gbs-spid-server/service/cluster/latest-version HTTP/1.1
Host: <ip>:8082
Accept: */*
text

deprecatedAuthenticate

post

This method authenticates the session and generates a Session GUID.

Body
stringOptional
Responses
200

OK

application/json
stringOptional
post/gbs-spid-server/service/cluster/authenticate
POST /gbs-spid-server/service/cluster/authenticate HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
text

deprecatedDeletePerson

get

This method deletes a person from the database, given its CPF.

Path parameters
sessionGuidstringRequired
cpfstringRequired
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
get/gbs-spid-server/service/cluster/delete/{sessionGuid}/{cpf}
GET /gbs-spid-server/service/cluster/delete/{sessionGuid}/{cpf} HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedUpdateVersion

get

This method performs the automatic update for the SPID Server application.

Responses
200

OK

application/octet-stream
stringOptional
get/gbs-spid-server/service/cluster/update-version
GET /gbs-spid-server/service/cluster/update-version HTTP/1.1
Host: <ip>:8082
Accept: */*
text

deprecatedSearch

post

This method performs a biometric search in the database.

Body
operatorstringOptional
timestampinteger · int64Optional
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
post/gbs-spid-server/service/cluster/search
POST /gbs-spid-server/service/cluster/search HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 1640

{
  "operator": "text",
  "timestamp": 1,
  "keys": [
    {
      "id": "text",
      "value": "text"
    }
  ],
  "biometrics": [
    {
      "index": 1,
      "content": "text",
      "properties": {
        "description": "text",
        "quality": 1,
        "index": "NONE",
        "location": "NONE",
        "anomaly": "NONE",
        "metadata": [
          "Ynl0ZXM="
        ],
        "capture-date": "2026-01-01T00:00:00.000Z",
        "capture-type": "FLAT",
        "template-properties": {
          "resolution": 1
        },
        "image-properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1
        },
        "audio-properties": {
          "codec": "PCM",
          "channels": 1,
          "sample-size": 1,
          "sample-rate": 1,
          "bit-rate": 1
        },
        "video-properties": {
          "audio-codec": "PCM",
          "video-codec": "X265",
          "audio-bit-rate": 1,
          "video-bit-rate": 1,
          "total-bit-rate": 1,
          "frame-width": 1,
          "frame-height": 1,
          "frame-rate": 1
        },
        "fingerprint-properties": {
          "type": "MAIN",
          "nfiq": 1,
          "contrast": 1,
          "direction": "LEFT_TO_RIGHT",
          "reversions": 1,
          "slips": 1,
          "frames": 1,
          "latent": true,
          "dirty-start": true,
          "dirty-latter": true
        },
        "face-properties": {
          "icao": true,
          "glasses": true,
          "shoulder": true,
          "smiling": true,
          "mouth": {
            "x": 1,
            "y": 1
          },
          "busy-background": true,
          "saturated-picture": true,
          "blurred-picture": true,
          "crop-out-of-picture": true,
          "skin-color": true,
          "face-position": true,
          "face-right": true,
          "face-left": true,
          "face-up": true,
          "face-down": true,
          "heavy-glasses": true,
          "shoulder-left": true,
          "shoulder-right": true,
          "eyes-obstruction": true,
          "looking-down": true,
          "looking-up": true,
          "looking-right": true,
          "looking-left": true,
          "too-open-eyes": true,
          "too-closed-eyes": true,
          "red-eyes": true,
          "open-mouth": true,
          "showing-teeth": true,
          "left-eye": {
            "x": 1,
            "y": 1
          },
          "right-eye": {
            "x": 1,
            "y": 1
          },
          "recomended-brightness": 1,
          "recomended-contrast": 1,
          "number-of-faces": 1
        },
        "signature-properties": {
          "notSignable": true
        }
      },
      "source": "ORIGINAL",
      "type": "FINGERPRINT",
      "format": "ASCII"
    }
  ]
}
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedGetOperator

get

This method returns the information of an operator, given its search keys.

Path parameters
sessionGuidstringRequired
keystringRequired
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
get/gbs-spid-server/service/cluster/get-operator/{sessionGuid}/{key}
GET /gbs-spid-server/service/cluster/get-operator/{sessionGuid}/{key} HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedGetEnrollResult

get

This method returnts the result of an enrollment transaction, given its TGUID.

Path parameters
sessionGuidstringRequired
transactionGuidstringRequired
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
get/gbs-spid-server/service/cluster/get-enroll-result/{sessionGuid}/{transactionGuid}
GET /gbs-spid-server/service/cluster/get-enroll-result/{sessionGuid}/{transactionGuid} HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedOperatorList

get

This method returns a list the valid operators into the database.

Responses
200

OK

application/json
documentstringOptional
statusstring · enumOptionalPossible values:
tguidstringOptional
get/gbs-spid-server/service/cluster/operator-list
GET /gbs-spid-server/service/cluster/operator-list HTTP/1.1
Host: <ip>:8082
Accept: */*
[
  {
    "document": "text",
    "status": "VERIFIED",
    "tguid": "text"
  }
]

deprecatedEnrollOperator

post

This method submits an operator enrollment to the server.

Body
metadatastring · byte[]Optional
timeoutinteger · int32Optional
labelsstring[]Optional
filtersstring[]Optional
prioritystring · enumOptionalPossible values:
session-guidstringOptional
person-guidstringOptional
matching-indexstring · enumOptionalPossible values:
force-face-searchbooleanOptional
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
post/gbs-spid-server/service/cluster/enroll-operator
POST /gbs-spid-server/service/cluster/enroll-operator HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 3425

{
  "metadata": [
    "Ynl0ZXM="
  ],
  "timeout": 1,
  "labels": [
    "text"
  ],
  "filters": [
    "text"
  ],
  "priority": "LOWEST_PRIORITY",
  "session-guid": "text",
  "person-guid": "text",
  "keys": [
    {
      "id": "text",
      "value": "text"
    }
  ],
  "biographics": [
    {
      "id": "text",
      "value": "text"
    }
  ],
  "biometrics": [
    {
      "index": 1,
      "content": "text",
      "properties": {
        "description": "text",
        "quality": 1,
        "index": "NONE",
        "location": "NONE",
        "anomaly": "NONE",
        "metadata": [
          "Ynl0ZXM="
        ],
        "capture-date": "2026-01-01T00:00:00.000Z",
        "capture-type": "FLAT",
        "template-properties": {
          "resolution": 1
        },
        "image-properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1
        },
        "audio-properties": {
          "codec": "PCM",
          "channels": 1,
          "sample-size": 1,
          "sample-rate": 1,
          "bit-rate": 1
        },
        "video-properties": {
          "audio-codec": "PCM",
          "video-codec": "X265",
          "audio-bit-rate": 1,
          "video-bit-rate": 1,
          "total-bit-rate": 1,
          "frame-width": 1,
          "frame-height": 1,
          "frame-rate": 1
        },
        "fingerprint-properties": {
          "type": "MAIN",
          "nfiq": 1,
          "contrast": 1,
          "direction": "LEFT_TO_RIGHT",
          "reversions": 1,
          "slips": 1,
          "frames": 1,
          "latent": true,
          "dirty-start": true,
          "dirty-latter": true
        },
        "face-properties": {
          "icao": true,
          "glasses": true,
          "shoulder": true,
          "smiling": true,
          "mouth": {
            "x": 1,
            "y": 1
          },
          "busy-background": true,
          "saturated-picture": true,
          "blurred-picture": true,
          "crop-out-of-picture": true,
          "skin-color": true,
          "face-position": true,
          "face-right": true,
          "face-left": true,
          "face-up": true,
          "face-down": true,
          "heavy-glasses": true,
          "shoulder-left": true,
          "shoulder-right": true,
          "eyes-obstruction": true,
          "looking-down": true,
          "looking-up": true,
          "looking-right": true,
          "looking-left": true,
          "too-open-eyes": true,
          "too-closed-eyes": true,
          "red-eyes": true,
          "open-mouth": true,
          "showing-teeth": true,
          "left-eye": {
            "x": 1,
            "y": 1
          },
          "right-eye": {
            "x": 1,
            "y": 1
          },
          "recomended-brightness": 1,
          "recomended-contrast": 1,
          "number-of-faces": 1
        },
        "signature-properties": {
          "notSignable": true
        }
      },
      "source": "ORIGINAL",
      "type": "FINGERPRINT",
      "format": "ASCII"
    }
  ],
  "auxiliaries": [
    {
      "index": 1,
      "content": "text",
      "properties": {
        "description": "text",
        "quality": 1,
        "index": "NONE",
        "location": "NONE",
        "anomaly": "NONE",
        "metadata": [
          "Ynl0ZXM="
        ],
        "capture-date": "2026-01-01T00:00:00.000Z",
        "capture-type": "FLAT",
        "template-properties": {
          "resolution": 1
        },
        "image-properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1
        },
        "audio-properties": {
          "codec": "PCM",
          "channels": 1,
          "sample-size": 1,
          "sample-rate": 1,
          "bit-rate": 1
        },
        "video-properties": {
          "audio-codec": "PCM",
          "video-codec": "X265",
          "audio-bit-rate": 1,
          "video-bit-rate": 1,
          "total-bit-rate": 1,
          "frame-width": 1,
          "frame-height": 1,
          "frame-rate": 1
        },
        "fingerprint-properties": {
          "type": "MAIN",
          "nfiq": 1,
          "contrast": 1,
          "direction": "LEFT_TO_RIGHT",
          "reversions": 1,
          "slips": 1,
          "frames": 1,
          "latent": true,
          "dirty-start": true,
          "dirty-latter": true
        },
        "face-properties": {
          "icao": true,
          "glasses": true,
          "shoulder": true,
          "smiling": true,
          "mouth": {
            "x": 1,
            "y": 1
          },
          "busy-background": true,
          "saturated-picture": true,
          "blurred-picture": true,
          "crop-out-of-picture": true,
          "skin-color": true,
          "face-position": true,
          "face-right": true,
          "face-left": true,
          "face-up": true,
          "face-down": true,
          "heavy-glasses": true,
          "shoulder-left": true,
          "shoulder-right": true,
          "eyes-obstruction": true,
          "looking-down": true,
          "looking-up": true,
          "looking-right": true,
          "looking-left": true,
          "too-open-eyes": true,
          "too-closed-eyes": true,
          "red-eyes": true,
          "open-mouth": true,
          "showing-teeth": true,
          "left-eye": {
            "x": 1,
            "y": 1
          },
          "right-eye": {
            "x": 1,
            "y": 1
          },
          "recomended-brightness": 1,
          "recomended-contrast": 1,
          "number-of-faces": 1
        },
        "signature-properties": {
          "notSignable": true
        }
      },
      "source": "ORIGINAL",
      "type": "FINGERPRINT",
      "format": "ASCII"
    }
  ],
  "matching-index": "SAME_FINGERS",
  "force-face-search": true
}
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedGetPerson

get

This method returns the data of a person, given its search keys.

Path parameters
sessionGuidstringRequired
keystringRequired
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
get/gbs-spid-server/service/cluster/get-person/{sessionGuid}/{key}
GET /gbs-spid-server/service/cluster/get-person/{sessionGuid}/{key} HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedOperatorInsert

get

This method inserts the data of a new operator into the server (it then needs to perform the biometric enrollment).

Path parameters
documentstringRequired
statusstring · enumRequiredPossible values:
Responses
200

OK

application/json
documentstringOptional
statusstring · enumOptionalPossible values:
tguidstringOptional
get/gbs-spid-server/service/cluster/operator-insert/{document}/{status}
GET /gbs-spid-server/service/cluster/operator-insert/{document}/{status} HTTP/1.1
Host: <ip>:8082
Accept: */*
[
  {
    "document": "text",
    "status": "VERIFIED",
    "tguid": "text"
  }
]

deprecatedGetSearchResult

get

This method returns the result of a search operation, given its TGUID.

Path parameters
sessionGuidstringRequired
transactionGuidstringRequired
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
get/gbs-spid-server/service/cluster/get-search-result/{sessionGuid}/{transactionGuid}
GET /gbs-spid-server/service/cluster/get-search-result/{sessionGuid}/{transactionGuid} HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedPing

get

This method is intended for checking the SPID Server availability.

Responses
200

OK

application/json
stringOptional
get/gbs-spid-server/service/cluster/ping
GET /gbs-spid-server/service/cluster/ping HTTP/1.1
Host: <ip>:8082
Accept: */*
text

deprecatedGetOperatorStatus

get

This method returns the status of an operator, given its search keys.

Path parameters
sessionGuidstringRequired
keystringRequired
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
get/gbs-spid-server/service/cluster/get-operator-status/{sessionGuid}/{key}
GET /gbs-spid-server/service/cluster/get-operator-status/{sessionGuid}/{key} HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}
get

This method returns the status of a given IDN into the PSBio

Query parameters
idnstringRequired
Responses
200

OK

application/json
stringOptional
get/gbs-spid-server/service/cluster/idn-search
GET /gbs-spid-server/service/cluster/idn-search?idn=text HTTP/1.1
Host: <ip>:8082
Accept: */*
text

deprecatedEnrollClient

post

This method submits a client enrollment to the server.

Body
metadatastring · byte[]Optional
timeoutinteger · int32Optional
labelsstring[]Optional
filtersstring[]Optional
prioritystring · enumOptionalPossible values:
operatorstringOptional
session-guidstringOptional
person-guidstringOptional
matching-indexstring · enumOptionalPossible values:
force-face-searchbooleanOptional
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
post/gbs-spid-server/service/cluster/enroll-client
POST /gbs-spid-server/service/cluster/enroll-client HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 3443

{
  "metadata": [
    "Ynl0ZXM="
  ],
  "timeout": 1,
  "labels": [
    "text"
  ],
  "filters": [
    "text"
  ],
  "priority": "LOWEST_PRIORITY",
  "operator": "text",
  "session-guid": "text",
  "person-guid": "text",
  "keys": [
    {
      "id": "text",
      "value": "text"
    }
  ],
  "biographics": [
    {
      "id": "text",
      "value": "text"
    }
  ],
  "biometrics": [
    {
      "index": 1,
      "content": "text",
      "properties": {
        "description": "text",
        "quality": 1,
        "index": "NONE",
        "location": "NONE",
        "anomaly": "NONE",
        "metadata": [
          "Ynl0ZXM="
        ],
        "capture-date": "2026-01-01T00:00:00.000Z",
        "capture-type": "FLAT",
        "template-properties": {
          "resolution": 1
        },
        "image-properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1
        },
        "audio-properties": {
          "codec": "PCM",
          "channels": 1,
          "sample-size": 1,
          "sample-rate": 1,
          "bit-rate": 1
        },
        "video-properties": {
          "audio-codec": "PCM",
          "video-codec": "X265",
          "audio-bit-rate": 1,
          "video-bit-rate": 1,
          "total-bit-rate": 1,
          "frame-width": 1,
          "frame-height": 1,
          "frame-rate": 1
        },
        "fingerprint-properties": {
          "type": "MAIN",
          "nfiq": 1,
          "contrast": 1,
          "direction": "LEFT_TO_RIGHT",
          "reversions": 1,
          "slips": 1,
          "frames": 1,
          "latent": true,
          "dirty-start": true,
          "dirty-latter": true
        },
        "face-properties": {
          "icao": true,
          "glasses": true,
          "shoulder": true,
          "smiling": true,
          "mouth": {
            "x": 1,
            "y": 1
          },
          "busy-background": true,
          "saturated-picture": true,
          "blurred-picture": true,
          "crop-out-of-picture": true,
          "skin-color": true,
          "face-position": true,
          "face-right": true,
          "face-left": true,
          "face-up": true,
          "face-down": true,
          "heavy-glasses": true,
          "shoulder-left": true,
          "shoulder-right": true,
          "eyes-obstruction": true,
          "looking-down": true,
          "looking-up": true,
          "looking-right": true,
          "looking-left": true,
          "too-open-eyes": true,
          "too-closed-eyes": true,
          "red-eyes": true,
          "open-mouth": true,
          "showing-teeth": true,
          "left-eye": {
            "x": 1,
            "y": 1
          },
          "right-eye": {
            "x": 1,
            "y": 1
          },
          "recomended-brightness": 1,
          "recomended-contrast": 1,
          "number-of-faces": 1
        },
        "signature-properties": {
          "notSignable": true
        }
      },
      "source": "ORIGINAL",
      "type": "FINGERPRINT",
      "format": "ASCII"
    }
  ],
  "auxiliaries": [
    {
      "index": 1,
      "content": "text",
      "properties": {
        "description": "text",
        "quality": 1,
        "index": "NONE",
        "location": "NONE",
        "anomaly": "NONE",
        "metadata": [
          "Ynl0ZXM="
        ],
        "capture-date": "2026-01-01T00:00:00.000Z",
        "capture-type": "FLAT",
        "template-properties": {
          "resolution": 1
        },
        "image-properties": {
          "width": 1,
          "height": 1,
          "resolution": 1,
          "ratio": 1
        },
        "audio-properties": {
          "codec": "PCM",
          "channels": 1,
          "sample-size": 1,
          "sample-rate": 1,
          "bit-rate": 1
        },
        "video-properties": {
          "audio-codec": "PCM",
          "video-codec": "X265",
          "audio-bit-rate": 1,
          "video-bit-rate": 1,
          "total-bit-rate": 1,
          "frame-width": 1,
          "frame-height": 1,
          "frame-rate": 1
        },
        "fingerprint-properties": {
          "type": "MAIN",
          "nfiq": 1,
          "contrast": 1,
          "direction": "LEFT_TO_RIGHT",
          "reversions": 1,
          "slips": 1,
          "frames": 1,
          "latent": true,
          "dirty-start": true,
          "dirty-latter": true
        },
        "face-properties": {
          "icao": true,
          "glasses": true,
          "shoulder": true,
          "smiling": true,
          "mouth": {
            "x": 1,
            "y": 1
          },
          "busy-background": true,
          "saturated-picture": true,
          "blurred-picture": true,
          "crop-out-of-picture": true,
          "skin-color": true,
          "face-position": true,
          "face-right": true,
          "face-left": true,
          "face-up": true,
          "face-down": true,
          "heavy-glasses": true,
          "shoulder-left": true,
          "shoulder-right": true,
          "eyes-obstruction": true,
          "looking-down": true,
          "looking-up": true,
          "looking-right": true,
          "looking-left": true,
          "too-open-eyes": true,
          "too-closed-eyes": true,
          "red-eyes": true,
          "open-mouth": true,
          "showing-teeth": true,
          "left-eye": {
            "x": 1,
            "y": 1
          },
          "right-eye": {
            "x": 1,
            "y": 1
          },
          "recomended-brightness": 1,
          "recomended-contrast": 1,
          "number-of-faces": 1
        },
        "signature-properties": {
          "notSignable": true
        }
      },
      "source": "ORIGINAL",
      "type": "FINGERPRINT",
      "format": "ASCII"
    }
  ],
  "matching-index": "SAME_FINGERS",
  "force-face-search": true
}
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedCloseSession

post

This method closes the current session.

Body
stringOptional
Responses
200

OK

application/json
statusstring · enumOptionalPossible values:
codeinteger · int32Optional
messagestringOptional
progressnumber · floatOptional
countinteger · int32Optional
session-guidstringOptional
transaction-guidstringOptional
person-guidstringOptional
anomalies-statusstring · enumOptionalPossible values:
post/gbs-spid-server/service/cluster/close-session
POST /gbs-spid-server/service/cluster/close-session HTTP/1.1
Host: <ip>:8082
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
{
  "status": "OK",
  "code": 1,
  "message": "text",
  "candidates": [
    {
      "anomaly": {
        "status": "ANALYSIS",
        "user": "text",
        "comments": "text",
        "date": "2026-01-01T00:00:00.000Z"
      },
      "person-guid": "text",
      "transaction-guid": "text",
      "match-info": [
        {
          "score": 1,
          "matches": [
            {
              "query": 1,
              "reference": 1
            }
          ],
          "query-index": 1,
          "reference-index": 1
        }
      ],
      "biometric-count": 1
    }
  ],
  "persons": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "person": {
    "biometrics": [
      {
        "index": 1,
        "content": "text",
        "width": 1,
        "height": 1,
        "resolution": 1
      }
    ],
    "missingBiometrics": [
      {
        "index": 1,
        "type": "AMPUTATED",
        "reason": "text"
      }
    ],
    "userId": "text",
    "idn": "text"
  },
  "transactions": [
    {
      "id": "text",
      "userId": "text",
      "operatorId": "text",
      "type": "ENROLL",
      "status": "OK",
      "timestamp": 1,
      "gbdsTguid": "text",
      "spidxTguid": "text",
      "psbioTcn": "text",
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ]
    }
  ],
  "progress": 1,
  "count": 1,
  "session-guid": "text",
  "transaction-guid": "text",
  "person-guid": "text",
  "enroll-transactions": [
    {
      "biometrics": [
        {
          "index": 1,
          "content": "text",
          "width": 1,
          "height": 1,
          "resolution": 1
        }
      ],
      "missingBiometrics": [
        {
          "index": 1,
          "type": "AMPUTATED",
          "reason": "text"
        }
      ],
      "userId": "text",
      "idn": "text"
    }
  ],
  "anomalies-status": "ANALYSIS"
}

deprecatedCheckStatus

get

This method returns the current status of the SPID Server services.

Responses
200

OK

application/json
stringOptional
get/gbs-spid-server/service/cluster
GET /gbs-spid-server/service/cluster HTTP/1.1
Host: <ip>:8082
Accept: */*
text

deprecatedCreateRemoteCaptureEnrollUsingPOST

post
Query parameters
Responses
200

OK

*/*
tguidstringOptional
dynamicLinkstringOptional
post/gbs-spid-server/service/cluster/remote/enroll
POST /gbs-spid-server/service/cluster/remote/enroll?remoteCaptureRequest=[object+Object] HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "tguid": "text",
  "dynamicLink": "text"
}

deprecatedCreateRemoteCaptureUsingPOST_1

post
Query parameters
Responses
200

OK

*/*
tguidstringOptional
dynamicLinkstringOptional
post/gbs-spid-server/service/cluster/remote/verify
POST /gbs-spid-server/service/cluster/remote/verify?remoteCaptureRequest=[object+Object] HTTP/1.1
Host: <ip>:8082
Accept: */*
{
  "tguid": "text",
  "dynamicLink": "text"
}

Last updated

Was this helpful?